Bug 717625 - [ipa webui] Unable to update config changes
Summary: [ipa webui] Unable to update config changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-29 12:25 UTC by Namita Soman
Modified: 2015-01-04 23:49 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Updating values in the config tab in the Web UI raise an error. Consequence: The Web UI is not able to make changes to the IPA server configuration. Fix: There is no primary key for config so the web UI should not try to find one. Result: The config tab works in the Web UI.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:40:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-06-29 12:25:13 UTC
Description of problem:
Error thrown when updating changes made to IPA Server - Configuration


Version-Release number of selected component (if applicable):
ipa-server-2.0.99-2.20110629T0200zgit66eeace.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Tab to IPA Server
2. Click on configuration
3. Change "Search size limit" to be 150 instead of 100
4. Click on Update
  
Actual results:
Error - command 'config_mod' takes no arguments

Expected results:
Be able to update config changes with no errors


Additional info:

Comment 2 Rob Crittenden 2011-06-29 13:50:27 UTC
https://fedorahosted.org/freeipa/ticket/1399

Comment 3 Rob Crittenden 2011-08-01 20:01:56 UTC
master: 870e430b653988e8f155a31e7214480b8af5cf13

Comment 6 Namita Soman 2011-10-11 18:04:59 UTC
Verified using ipa-server-2.1.2-2.el6.x86_64
Can update config successfully

Comment 7 Rob Crittenden 2011-10-31 20:39:34 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Updating values in the config tab in the Web UI raise an error.
Consequence: The Web UI is not able to make changes to the IPA server configuration.
Fix: There is no primary key for config so the web UI should not try to find one.
Result: The config tab works in the Web UI.

Comment 8 errata-xmlrpc 2011-12-06 18:40:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.